<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Dashboard</title>

    <!-- Bootstrap core CSS-->
    <link href="../static/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../static/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    

    <!-- Custom styles for this template-->
    <link href="../static/css/sb-admin.css" rel="stylesheet">

  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <a class="navbar-brand mr-1" href="/employee" id="employee-name">Employee</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fas fa-bars"></i>
      </button>

      <!-- Navbar Search -->
      <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
        <div class="input-group">
          <input type="text" class="form-control" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-primary" type="button">
              <i class="fas fa-search"></i>
            </button>
          </div>
        </div>
      </form>

      <!-- Navbar -->
      <ul class="navbar-nav ml-auto ml-md-0">
          <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" href="/" data-toggle="modal" data-target="#logoutModal">Logout</a>
          </div>
        </li>
      </ul>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="/employee">
            <i class="fas fa-fw fa-suitcase"></i>
            <span>Profile</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/employee/prime">
            <i class="fas fa-fw fa-user-circle"></i>
            <span>Prime Number</span></a>
        </li>
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">
          <div id="employee">
          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="#">Profile</a>
            </li>
            
          </ol>
            
          
          <!-- DataTables Example -->
          
          <div>
          <table id="employees_table" class="table table-striped table-hover table-users">
          <thead>
          <tr>
            <th>Name</th>
            <th>Country</th>
            <th>Designation</th>
            <th>Actions</th>
          </tr>
          </thead>
          <tbody>
              
          </tbody>
          </table>
          <div id="add_profile">
              <button type="button" data-toggle="modal" data-target="#addEmployee" class="btn btn-success btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i>Add Profile</button>  
          </div>  
          
        <!-- /.container-fluid -->
        <!-- /add employee -->
        <div class="modal fade" id="addEmployee" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add Profile</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form>    
                  <div class="form-group">
                    <label for="add-employee-name" class="form-control-label">Name</label>
                    <input type="text" class="form-control" id="add-employee-name">
                  </div>
                  <div class="form-group">
                    <label for="add-employee-country" class="form-control-label">Country</label>
                    <select class="form-control" id="add-employee-country">
                        <option disabled selected value> -- select an option -- </option>
                        <option>India</option>
                        <option>Singapore</option>
                        <option>Dubai</option>
                      </select>
                  </div>
                  <div class="form-group">
                    <label for="add-employee-designation" class="form-control-label">Designation</label>
                    <select class="form-control" id="add-employee-designation">
                      <option disabled selected value> -- select an option -- </option>
                      <option>Developer</option>
                      <option>Manager</option>
                      <option>Tester</option>
                    </select>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary", id="123_add">Add</button>
              </div>
            </div>
          </div>
        </div>
        
        <!-- /edit employee -->
        <div class="modal fade" id="editEmployee" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Profile</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                  <form id="edit-employee-form" enctype="multipart/form-data">   
                      <div class="form-group">
                        <label for="edit-employee-name" class="form-control-label">Name</label>
                        <input type="text" class="form-control" id="edit-employee-name">
                      </div>
                      <div class="form-group">
                        <label for="edit-employee-country" class="form-control-label">Country</label>
                        <select class="form-control" id="edit-employee-country">
                            <option disabled selected value> -- select an option -- </option>
                            <option>India</option>
                            <option>Singapore</option>
                            <option>Dubai</option>
                          </select>
                      </div>
                      <div class="form-group">
                        <label for="edit-employee-designation" class="form-control-label">Designation</label>
                        <select class="form-control" id="edit-employee-designation">
                          <option disabled selected value> -- select an option -- </option>
                          <option>Developer</option>
                          <option>Manager</option>
                          <option>Tester</option>
                        </select>
                      </div>
                    </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="123_update">Save changes</button>
              </div>
            </div>
          </div>
        </div>
               
        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright © Your Website 2018</span>
            </div>
          </div>
        </footer>

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="123_logout" href="/">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../static/vendor/jquery/jquery.min.js"></script>
    <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="../static/vendor/chart.js/Chart.min.js"></script>
    <script src="../static/vendor/datatables/jquery.dataTables.js"></script>
    
    <script src="../static/vendor/jquery/jquery.serializejson.js"></script>
    <script src="../static/vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../static/js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="../static/js/demo/datatables-demo.js"></script>
    <script src="../static/js/demo/chart-area-demo.js"></script>
    
    <script>
    $(document).ready(function(){

      var status = sessionStorage.getItem('status')  
      var id = sessionStorage.getItem('user_id');
      if (status == 'false')
      {
        $("#employees_table").hide();
        $("#add_profile").show();
      }
      else
      {
        $("#add_profile").hide();
        var url = 'http://{{API_SERVER}}:8091/api/v1/profiles/'+ id ;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: AjaxSucceeded,
              error: AjaxFailed
          });

      }
      
          function AjaxSucceeded(result) {
              var data_array = [];
              var content_list = result['data'];       
              var name = content_list["name"];  
              var country = content_list["country"];
              var desgination = content_list["designation"];

              table_edit = '<button type="button" id="'+ id +'_addedit" data-toggle="modal" data-target="#editEmployee" class="btn btn-info btn-xs" ><i class="fa fa-trash-o"></i> Edit </button>'
              data_array.push([name,country,desgination,table_edit]);

           
           $('#employees_table').DataTable( {
              data: data_array,
       
            });
          }
          function AjaxFailed(result,xhr) {
            var content = result.responseJSON.msg;
              if (result.status == 401)
                {
                  window.location.href = "/"
                }
              alert("Unable to load data : "+ content+ " " + result.status)
              
          }
       
       
    });
  </script>
    <script>
    $(document).on('click', '.btn', function(e){
        e.preventDefault();
        spt_string = this.id.split("_");
        var action = spt_string[1];
        var id = spt_string[0];
        if(action=="add" )
        {
          var company_id = sessionStorage.getItem('company_id');
          var email = sessionStorage.getItem('email');
          var email_url = 'http://{{API_SERVER}}:8091/api/v1/profiles';
          var data = {
            name : document.getElementById("add-employee-name").value,
            country : document.getElementById("add-employee-country").value,
            designation: document.getElementById("add-employee-designation").value,
            email: email
          }
          
          $.ajax({
              type: 'POST',
              url: email_url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: EmployeeSucceeded,
              error: EmployeeFailed
          });
          
        }
        else if(action=="update" )
        {
          var id = sessionStorage.getItem('user_id');
          var url = 'http://{{API_SERVER}}:8091/api/v1/profiles/'+ id;
          var data = {
            name : document.getElementById("edit-employee-name").value,
            country : document.getElementById("edit-employee-country").value,
            designation : document.getElementById("edit-employee-designation").value
          } 
          
          $.ajax({
              type: 'PUT',
              url: url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: EditSucceeded,
              error: EditFailed
          });
        }
       
        else if(action=="addedit" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/profiles/'+ id ;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: ViewSucceeded,
              error: ViewFailed
          });
 
        }
        
        else if(action=="logout" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/logoutaccess';
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: LogoutSucceeded,
              error: LogoutFailed
          });
        }
        

        function EmployeeSucceeded(result,xhr) 
        {
          alert("Profile added successfully");
          sessionStorage.setItem('status', true);
          location.reload();
          
    
        } 
        function EmployeeFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add profile : "+ content)
          
        }

        function EditSucceeded(result,xhr) 
        {
          alert("Profile updated successfully");
          location.reload();
    
        } 
        function EditFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to edit  profile: "+ content)
        }

        function ViewSucceeded(result,xhr) 
        {
          var content = result['data'];
          
          document.getElementById("edit-employee-name").value = content['name'];          
          document.getElementById("edit-employee-country").value = content["country"];
          document.getElementById("edit-employee-designation").value = content["designation"];
    
        } 
        function ViewFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to View company : "+ content)
        }

        function LogoutSucceeded(result,xhr) 
        {
          
          window.location.href='/';
    
        } 
        function LogoutFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to logout : "+ content)
        }

        

      });

  </script>

  </body>

</html>
